Bug 1592357 - [groonga] Drop requirements for 'initscripts' from specfile
Summary: [groonga] Drop requirements for 'initscripts' from specfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: groonga
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kentaro Hayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 13:09 UTC by David Kaspar [Dee'Kej]
Modified: 2018-07-03 16:49 UTC (History)
2 users (show)

Fixed In Version: groonga-8.0.3-1.fc27 groonga-8.0.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-03 14:10:38 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 13:09:06 UTC
Hello!

Description of problem:
It appears your package depend on 'initscrits' package for some reason. However, most of the initscripts' dependants are no longer valid.

I hereby request you check your package/specfile, and either:
 * drop the initscripts dependancy and close this BZ, or
 * provide a justification in a comment for keeping the dependancy (without closing this BZ)

----------------------

NOTE: In case you are depending on initscripts because of networking scripts, then you will need to update your specfile to depend directly on new package 'network-scripts' (instead of 'initscripts').

If this is the case, please let us know in the comments and do not close the BZ  yet.

Additional info:
The requested change here is valid for Rawhide (F29) only. Do not backport these changes into F28 or F27, because it would break things.

Thank you for your co-operation! :)

 -- Dee'Kej --

Comment 1 Fedora Update System 2018-06-19 15:00:07 UTC
groonga-8.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-778475dd52

Comment 2 Fedora Update System 2018-06-19 15:19:19 UTC
groonga-8.0.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db180f04c0

Comment 3 Fedora Update System 2018-06-20 13:20:44 UTC
groonga-8.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db180f04c0

Comment 4 Fedora Update System 2018-06-20 16:07:57 UTC
groonga-8.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-778475dd52

Comment 5 Fedora Update System 2018-07-03 14:10:38 UTC
groonga-8.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-07-03 16:49:48 UTC
groonga-8.0.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.